<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.pressure.mapper.FirefightingPressureMapper">

    <resultMap id="BaseResultMap" type="com.zksy.pressure.domain.FirefightingPressure">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="centralStation" column="central_station" jdbcType="VARCHAR"/>
            <result property="telemeteringStation" column="telemetering_station" jdbcType="VARCHAR"/>
            <result property="password" column="password" jdbcType="VARCHAR"/>
            <result property="functionCode" column="function_code" jdbcType="VARCHAR"/>
            <result property="serialNumber" column="serial_number" jdbcType="VARCHAR"/>
            <result property="sendingTime" column="sending_time" jdbcType="TIMESTAMP"/>
            <result property="observedTime" column="observed_time" jdbcType="TIMESTAMP"/>
            <result property="gprsSignal" column="gprs_signal" jdbcType="DOUBLE"/>
            <result property="hostVoltage" column="host_voltage" jdbcType="DOUBLE"/>
            <result property="longitude" column="longitude" jdbcType="DECIMAL"/>
            <result property="latitude" column="latitude" jdbcType="DECIMAL"/>
            <result property="pressureValue" column="pressure_value" jdbcType="DOUBLE"/>
            <result property="d31D12" column="D31_D12" jdbcType="TINYINT"/>
            <result property="d14" column="D14" jdbcType="TINYINT"/>
            <result property="d13" column="D13" jdbcType="TINYINT"/>
            <result property="d12" column="D12" jdbcType="TINYINT"/>
            <result property="d11" column="D11" jdbcType="TINYINT"/>
            <result property="d10" column="D10" jdbcType="TINYINT"/>
            <result property="d9" column="D9" jdbcType="TINYINT"/>
            <result property="d8" column="D8" jdbcType="TINYINT"/>
            <result property="d7" column="D7" jdbcType="TINYINT"/>
            <result property="d6" column="D6" jdbcType="TINYINT"/>
            <result property="d5" column="D5" jdbcType="TINYINT"/>
            <result property="d4" column="D4" jdbcType="TINYINT"/>
            <result property="d3" column="D3" jdbcType="TINYINT"/>
            <result property="d2" column="D2" jdbcType="TINYINT"/>
            <result property="d1" column="D1" jdbcType="TINYINT"/>
            <result property="d0" column="D0" jdbcType="TINYINT"/>
            <result property="createTime" column="createTime" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,central_station,telemetering_station,
        password,function_code,serial_number,
        sending_time,observed_time,gprs_signal,
        host_voltage,longitude,latitude,
        pressure_value,D31_D12,D14,
        D13,D12,D11,
        D10,D9,D8,
        D7,D6,D5,
        D4,D3,D2,
        D1,D0
    </sql>
</mapper>
